### Method

# GLib KeyFile get_double_list

since: 2.12

#### Declaration [src]

    gdouble*
    g_key_file_get_double_list (
      GKeyFile* key_file,
      const gchar* group_name,
      const gchar* key,
      gsize* length,
      GError** error
    )

#### Description [src]

Returns the values associated with `key` under `group_name` as doubles.

If `key` cannot be found then `G_KEY_FILE_ERROR_KEY_NOT_FOUND` is returned. Likewise, if the values associated with `key` cannot be interpreted as doubles then `G_KEY_FILE_ERROR_INVALID_VALUE` is returned.

Available since: 2.12

#### Parameters

`group_name`

  Type: `const gchar*`

  A group name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`key`

  Type: `const gchar*`

  A key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `gsize*`

  The number of doubles returned.

  The argument will be set by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `double`

    the values associated with the key as a list of doubles, or `NULL` if the
    key was not found or could not be parsed. The returned list of doubles
    should be freed with <a href="func.free.html"><code>g_free()</code></a> when no longer needed.

The length of the array is in the `length` argument.
The caller of the method takes ownership of the returned data container, but not the data inside it.